summaryrefslogtreecommitdiffstats
path: root/backup_home
diff options
context:
space:
mode:
Diffstat (limited to 'backup_home')
-rwxr-xr-xbackup_home14
1 files changed, 14 insertions, 0 deletions
diff --git a/backup_home b/backup_home
new file mode 100755
index 0000000..28a3bad
--- /dev/null
+++ b/backup_home
@@ -0,0 +1,14 @@
+#! /bin/bash
+
+[ $# -lt 1 ] && echo "missing dstination" && exit 1
+DST=$1
+
+tar \
+ --exclude "$HOME/local" \
+ --exclude "$HOME/usr/git" \
+ --exclude "$HOME/usr/media" \
+ --exclude "$HOME/.ccache" \
+ --exclude "$HOME/.gems" \
+ --exclude "$HOME/.local/share/Trash" \
+ --exclude "$HOME/.local/share/Steam" \
+ -cvzf $DST $HOME/